Subject: Re: [PATCH] git-mv.perl: use stderr for error output and cleanup

From: [email-masked] (Randal L. Schwartz)
Date: 06 Jan 2006 14:55:54 -0800

>>>>> "Junio" == Junio C Hamano <[email-masked]> writes:

Junio> So I'd prefer not touching for (@df) { print H "$_\n" } loops.

Being as I'm a *bit* familiar with Perl, I'd write that as:

  print H "$_\0" for @deletedfiles;

if you want to write "for" as "foreach", I wouldn't complain either.
After all, that's spelled "f o r", but pronounced "foreach". :)

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!